| OLD | NEW |
| 1 #!/bin/bash | 1 #!/bin/bash |
| 2 # Copyright 2014 The Chromium Authors. All rights reserved. | 2 # Copyright 2014 The Chromium Authors. All rights reserved. |
| 3 # Use of this source code is governed by a BSD-style license that can be | 3 # Use of this source code is governed by a BSD-style license that can be |
| 4 # found in the LICENSE file. | 4 # found in the LICENSE file. |
| 5 # | 5 # |
| 6 # Download the newest version of Closure Compiler, build it and put into Chrome | 6 # Download the newest version of Closure Compiler, build it and put into Chrome |
| 7 # source tree. Also update externs/chrome_extensions.js. | 7 # source tree. Also update externs/chrome_extensions.js. |
| 8 | 8 |
| 9 readonly SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" | 9 readonly SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" |
| 10 readonly TEMP_DIR=$(mktemp -d) | 10 readonly TEMP_DIR=$(mktemp -d) |
| (...skipping 29 matching lines...) Expand all Loading... |
| 40 exit 0 | 40 exit 0 |
| 41 else | 41 else |
| 42 head_range=$(cat <<EOT | 42 head_range=$(cat <<EOT |
| 43 Change log: | 43 Change log: |
| 44 https://github.com/google/closure-compiler/compare/${old_head}...${new_head} | 44 https://github.com/google/closure-compiler/compare/${old_head}...${new_head} |
| 45 EOT | 45 EOT |
| 46 ) | 46 ) |
| 47 fi | 47 fi |
| 48 | 48 |
| 49 echo "Building Closure Compiler" | 49 echo "Building Closure Compiler" |
| 50 # TODO(dbeam): can we do less here? As in: build a more specific target. | 50 mvn install -DskipTests=true --projects com.google.javascript:closure-compiler |
| 51 mvn install -DskipTests=true | |
| 52 | 51 |
| 53 if [[ "$?" -ne 0 ]]; then | 52 if [[ "$?" -ne 0 ]]; then |
| 54 echo "Failed to build jar, copying nothing" >&2 | 53 echo "Failed to build jar, copying nothing" >&2 |
| 55 cleanup | 54 cleanup |
| 56 exit 1 | 55 exit 1 |
| 57 fi | 56 fi |
| 58 | 57 |
| 59 # TODO(dbeam): this .jar seems to be a bit bigger than the jar previously built | 58 # TODO(dbeam): this .jar seems to be a bit bigger than the jar previously built |
| 60 # by ant. I tried many other jars in target/, but none of them were able to | 59 # by ant. I tried many other jars in target/, but none of them were able to |
| 61 # build the runner.jar without issue. | 60 # build the runner.jar without issue. |
| (...skipping 67 matching lines...) Expand 10 before | Expand all | Expand 10 after Loading... |
| 129 echo "${head_range}" | 128 echo "${head_range}" |
| 130 if [[ ! -z "${extensions_range}" ]]; then echo "${extensions_range}"; fi | 129 if [[ ! -z "${extensions_range}" ]]; then echo "${extensions_range}"; fi |
| 131 if [[ ! -z "${polymer_range}" ]]; then echo "${polymer_range}"; fi | 130 if [[ ! -z "${polymer_range}" ]]; then echo "${polymer_range}"; fi |
| 132 echo | 131 echo |
| 133 echo "TBR=" | 132 echo "TBR=" |
| 134 echo "BUG='" | 133 echo "BUG='" |
| 135 echo | 134 echo |
| 136 echo "git cl upload" | 135 echo "git cl upload" |
| 137 | 136 |
| 138 cleanup | 137 cleanup |
| OLD | NEW |